// Test10.ino
#include "Def2w2m.h"

#define MaxPfm 20
char  pfmD=2,pfmG=2;
char  vitD=pfmD,vitG=pfmD;
volatile byte vstable;
#define VitAv 10   // avance
#define VitEvite 5  // recule et tourne

#include "LibMoteurs.h"

byte etatMous;
#define bMousDOnPasLu 0
#define bMousDOnNow 1
#define bMousGOnPasLu 2
#define bMousGOnNow 3
#include "LibMoustaches.h"

#include "ISRTimer.h"
void setup()  { 
 Setup2w2m ();  
 SetupTimer2();
 PORTC=0;
 pfmD=0; pfmG=0;
 NextVit (VitAv,VitAv);
}

void loop () {
  // obstacle à droite?
  if (etatMous & (1<<bMousDOnPasLu)) {
     bitClear (etatMous,bMousDOnPasLu);  
     NextVit (-VitEvite,-VitEvite);  //recule
     delay (500);
     NextVit (VitEvite,-VitEvite);  // tourne g
     delay (200);
     NextVit (VitAv,VitAv);  // retour au centre
  }
  // obstacle à gauche?
  if (etatMous & (1<<bMousGOnPasLu)) {
     bitClear (etatMous,bMousGOnPasLu);  
     NextVit (-VitEvite,-VitEvite);  //recule
     delay (500);
     NextVit (-VitEvite,VitEvite);  // tourne d
     delay (200);
     NextVit (VitAv,VitAv);  // retour au centre
  }  
}




