///Def2w2m.h  définitions et setup C
#include <Arduino.h>
#define bLed 5 // pin 13
#define LedToggle PORTB ^= 1<<bLed 

#define bMGRec 4  // PORTD  actifs à 1
#define bMGAv  5  // PORTD  
#define bMDAv  6  // PORTD
#define bMDRec 7  // PORTD
#define MotDAv   bitClear (PORTD,bMDRec); bitSet   (PORTD,bMDAv)
#define MotDRec  bitSet   (PORTD,bMDRec); bitClear (PORTD,bMDAv)
#define MotDStop bitClear (PORTD,bMDRec); bitClear (PORTD,bMDAv)
#define MotGAv   bitClear (PORTD,bMGRec); bitSet   (PORTD,bMGAv)
#define MotGRec  bitSet   (PORTD,bMGRec); bitClear (PORTD,bMGAv)
#define MotGStop bitClear (PORTD,bMGRec); bitClear (PORTD,bMGAv)

#define bWd  3  // PORTD  actifs à 0
#define bWg  2  // PORTD  
#define MousDOn  !(PIND & (1<<bWd))
#define MousGOn  !(PIND & (1<<bWg))

void Setup2w2m () {   
    DDRD |= 0xF0 ; // --> 1 out
    DDRD &= 0xF3 ; // --> 0 in
    PORTD = 0x0F ; // --> 0 Mot stop
    DDRB |= 1<<bLed ; // Led13
   DDRC = 0x3F; 
}
