// Xbot.h
#include <Arduino.h>  //<avrio.h>
#define bLed 5  // Led13 aide debug
#define LedOn  bitSet (PORTB,bLed)
#define LedOff bitClear (PORTB,bLed)
#define LedToggle PORTB ^= (1<<bLed)

#define bRecG 4
#define bAvG 5
#define bAvD 6
#define bRecD 7
#define AvG   bitSet  (PORTD,bAvG); bitClear(PORTD,bRecG)
#define RecG  bitClear(PORTD,bAvG); bitSet  (PORTD,bRecG)
#define StopG bitClear(PORTD,bAvG); bitClear(PORTD,bRecG)
#define AvD   bitSet  (PORTD,bAvD); bitClear(PORTD,bRecD)
#define RecD  bitClear(PORTD,bAvD); bitSet  (PORTD,bRecD)
#define StopD bitClear(PORTD,bAvD); bitClear(PORTD,bRecD)

#define bMousD 3 // PORTD,3)
#define bMousG 2
#define ObsG  !(PIND&(1<<bMousG))  //!digitalRead(MousG)
#define ObsD  !(PIND&(1<<bMousD))  //!digitalRead(MousD)

void SetupXbot() {  // initialisation 23 in 4567 out
  DDRD |=  0b11110000 ; 
  DDRD &=  0b11110011 ;
  DDRB = 1<<bLed ; // Led13 
}

