// Test4.ino
#include "Xbot.h"
#define MaxPfm 20
#include "Pfm.h"
  volatile byte cnt;  // max 255
ISR (TIMER2_OVF_vect) {

  TCNT2 = 256-50;  //  100 us
  if (cnt++ > 20) { // 2ms
    cnt = 0; 
    DoPfm ();
  }
}
void SetupTimer2() {
  TCCR2A = 0; //default
  TCCR2B = 0b00000010; 
  TIMSK2 = 0b00000001;
  sei();
}
void setup () {
  SetupXbot();
  SetupTimer2();
}
void loop () { 
  pfm++; if (pfm>MaxPfm) pfm=0;
  delay (200);
}





