// Timer2.h
volatile byte cnt;
ISR (TIMER2_OVF_vect) {
    TCNT2 = 256-50;  //  100 us
    if (cnt++ > 20) {  // 2ms 
      cnt = 0; 
      DoPfm ();
    }
}  
void SetupTimer2() {
  TCCR2A = 0; //default
  TCCR2B = 0b00000010; 
  TIMSK2 = 0b00000001;
  sei();  
}


