//ISRTimer0.h 
volatile int cnt;
ISR (TIMER2_OVF_vect)
{
  TCNT2 = 68;  // 256-200+corr <-- 200x8x62.5ns = 100 us
  // on ajoutera ici des timers, des servos, etc
  if (cnt++ > 500)  // toutes les 2ms
  {
    cnt = 0; 
    GetEtatMous ();  //durée 10us
    PORTC++;
  }
}

void SetupTimer0() {
  cli();
  TCCR2A = 0; //default
  TCCR2B = 0b00000010; 
  TIMSK2 = 0b00000001;
  sei();
}
