//ISRTimer.h  avec VitD G
volatile byte cnt1;
volatile byte cnt2;
ISR (TIMER2_OVF_vect)
{
  TCNT2 = 68;  // 256-200+corr <-- 200x8x62.5ns = 100 us
  // on ajoutera ici des timers, des servos, etc

  if (cnt1++ > 20)  // toutes les 2ms
  {
    cnt1 = 0; 
    if ((vitD==pfmD)&(vitG==pfmG)) {vstable=1;}
    else {vstable=0;}
    DoPfm (pfmD,pfmG);  //durée 10us
  }
  if (cnt2++ > 20*10)  // toutes les 20ms
  {
    cnt2 = 0; 
    SetVit (vitD,vitG);
    GetEtatMous ();   // 50ms nécessaires?
  }
}

void SetupTimer2() {
  cli();
  TCCR2A = 0; //default
  TCCR2B = 0b00000010; 
  TIMSK2 = 0b00000001;
  sei();
}
